Package com.smartgwt.client.types

# Enum KnobType

java.lang.Object
java.lang.Enum<KnobType>
com.smartgwt.client.types.KnobType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<KnobType>`, `Constable`

public enum KnobType extends Enum<KnobType> implements ValueEnum
Entries for the `DrawItem.knobs` array. Each specified knobType will enable some UI allowing the user to manipulate the DrawItem directly.

NOTE: Not all knob types are supported by each DrawItem type. Refer to the DrawItem type's `knobs` attribute documentation for a list of the supported knob types.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTROLPOINT1`
  Display a draggable control knob along with a DrawLine indicating the angle between controlPoint1 and the startPoint.
  `CONTROLPOINT2`
  Display a draggable control knob along with a DrawLine indicating the angle between controlPoint2 and the endPoint.
  `ENDPOINT`
  Control knob to manipulate `DrawLine.endPoint`.
  `MOVE`
  Display a control knob for moving the item around.
  `RESIZE`
  Display up to 8 control knobs at the corners specified by `DrawItem.resizeKnobPoints`, allowing the user to drag-resize the item.
  `ROTATE`
  Display a rotation knob above the top resize knob, allowing the user to rotate the item.
  `STARTPOINT`
  Control knob to manipulate `DrawLine.startPoint`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static KnobType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static KnobType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### RESIZE

    public static final KnobType RESIZE
    Display up to 8 control knobs at the corners specified by `DrawItem.resizeKnobPoints`, allowing the user to drag-resize the item. See also `DrawItem.cornerResizeKnob` and `DrawItem.sideResizeKnob`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "resize".

  - ### MOVE

    public static final KnobType MOVE
    Display a control knob for moving the item around. See also `DrawItem.moveKnobPoint` and `DrawItem.moveKnobOffset`

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "move".

  - ### STARTPOINT

    public static final KnobType STARTPOINT
    Control knob to manipulate `DrawLine.startPoint`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "startPoint".

  - ### ENDPOINT

    public static final KnobType ENDPOINT
    Control knob to manipulate `DrawLine.endPoint`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "endPoint".

  - ### CONTROLPOINT1

    public static final KnobType CONTROLPOINT1
    Display a draggable control knob along with a DrawLine indicating the angle between controlPoint1 and the startPoint. Dragging the knob will adjust controlPoint1.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "controlPoint1".

  - ### CONTROLPOINT2

    public static final KnobType CONTROLPOINT2
    Display a draggable control knob along with a DrawLine indicating the angle between controlPoint2 and the endPoint. Dragging the knob will adjust controlPoint2.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "controlPoint2".

  - ### ROTATE

    public static final KnobType ROTATE
    Display a rotation knob above the top resize knob, allowing the user to rotate the item. See also `DrawItem.rotateKnob`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "rotate".

- ## Method Details

  - ### values

    public static KnobType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static KnobType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`